BSD Ports

security/pgpdump 0.37 NetBSD

PGP packet visualizer

System
NetBSD
Repository
pkgsrc
Maintainer
[email protected]
Last update
Commit
8f47a9abaf
License
modified-bsd
Categories
security
Package size
18.8 KiB, 49.3 KiB installed

Description

"pgpdump" is a PGP packet visualizer which displays the packet format of OpenPGP (RFC 2440 + bis) and PGP version 2 (RFC 1991). To know how to use pgpdump, type "pgpdump -h".

In the other systems

SystemPortVersion
NetBSDsecurity/pgpdump0.37
FreeBSDsecurity/pgpdump0.37
OpenBSDsecurity/pgpdump0.38
DragonFlysecurity/pgpdump0.36

Install

Binary package:

pkgin install pgpdump

From pkgsrc:

cd /usr/pkgsrc/security/pgpdump && make install clean

Dependencies

No port depends on this one.

Commit history 1

DateCommitCreditsLog message
8f47a9abaf adam pgpdump: updated to 0.38
0.38 2026/09/25 * Support RFC 9580 (OpenPGP v6): v6 keys, signatures, and one-pass signatures, X25519/X448/Ed25519/Ed448, PKESK/SKESK v6, SEIPD v2, AEAD (EAX, OCB, GCM), Argon2 S2K, Padding packet, and new subpackets. Armor without CRC24 is also accepted. * Support the post-quantum algorithms of RFC 9980: ML-DSA-65+Ed25519, ML-DSA-87+Ed448, SLH-DSA-SHAKE-128s/128f/256s, ML-KEM-768+X25519, and ML-KEM-1024+X448. * Support the OCB Encrypted Data packet (tag 20) and version 5 Symmetric-Key Encrypted Session Key packets generated by GnuPG (LibrePGP). * Support LibrePGP version 5 keys and signatures generated by GnuPG. * Show the LibrePGP meanings of feature flags 0x02 and 0x04, and the names of signature subpackets 34, 37, and 38, and the LibrePGP …